//////////////////////////////////////////////////
//
//  This file is to be used for point process analysis
//
//      Copyright  October 2001 by TAKENAKA, A.


#if !defined (___POINT_LIST_H)
#define ___POINT_LIST_H

#include <list>

#include "xy.h"

typedef std::list<XY> xyList;

//////////////////////////////////
//
//  PointList is a subclass of std::list<XY>.
//  It has a capability to load elements from a file.

class PointList : public xyList
{
  public:

    PointList(void);
    void load (const char* fileName);
    const XY& getAreaSize(void) const;

  protected:

    XY  AreaSize;
};

#endif
